Followup-For: Bug #842077
Control: tag -1 patch pending

Hi, attached is a patch that ensures proper removal of the alternatives
on package removal. I uploaded this as a NMU to DELAYED/5 s.t. the fix
will migrate to testing on its own before the next freeze phase.


Andreas
diff -Nru python-wheezy.template-0.1.167/debian/changelog python-wheezy.template-0.1.167/debian/changelog
--- python-wheezy.template-0.1.167/debian/changelog	2016-10-14 19:26:28.000000000 +0200
+++ python-wheezy.template-0.1.167/debian/changelog	2017-01-18 17:00:54.000000000 +0100
@@ -1,3 +1,10 @@
+python-wheezy.template (0.1.167-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add prerm scripts to clean up the alternative.  (Closes: #842077)
+
+ -- Andreas Beckmann <a...@debian.org>  Wed, 18 Jan 2017 17:00:54 +0100
+
 python-wheezy.template (0.1.167-1) unstable; urgency=medium
 
   * Initial release.
diff -Nru python-wheezy.template-0.1.167/debian/python-wheezy.template.prerm python-wheezy.template-0.1.167/debian/python-wheezy.template.prerm
--- python-wheezy.template-0.1.167/debian/python-wheezy.template.prerm	1970-01-01 01:00:00.000000000 +0100
+++ python-wheezy.template-0.1.167/debian/python-wheezy.template.prerm	2017-01-18 17:00:54.000000000 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "remove" ]
+then
+    update-alternatives --remove wheezy.template /usr/bin/wheezy.template-python2
+fi
+
+#DEBHELPER#
diff -Nru python-wheezy.template-0.1.167/debian/python3-wheezy.template.prerm python-wheezy.template-0.1.167/debian/python3-wheezy.template.prerm
--- python-wheezy.template-0.1.167/debian/python3-wheezy.template.prerm	1970-01-01 01:00:00.000000000 +0100
+++ python-wheezy.template-0.1.167/debian/python3-wheezy.template.prerm	2017-01-18 17:00:54.000000000 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "remove" ]
+then
+    update-alternatives --remove wheezy.template /usr/bin/wheezy.template-python3
+fi
+
+#DEBHELPER#

Reply via email to